### Method

# Ide Buffer get_loading

#### Declaration

    gboolean
    ide_buffer_get_loading (
      IdeBuffer* self
    )

#### Description

This checks to see if the buffer is currently loading. This is equivalent to calling `ide_buffer_get_state()` and checking for `IDE_BUFFER_STATE_LOADING`.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if the buffer is loading; otherwise `FALSE`.